Skip to Content
webagent docs
API reference

Dedicated IP

Allocate and release a dedicated egress IP.

Open as .md
GET
/v1/dedicated-ip

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Response Body

OK

application/json
  1. response
configured*boolean
ip?string
country?string
assignedAt?number
free*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X GET 'https://api.us.webagent.lookover.ai/v1/dedicated-ip'
Example Response
{  "configured": true,  "ip": "string",  "country": "string",  "assignedAt": 0,  "free": 0}
POST
/v1/dedicated-ip

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Request Body

application/json
  1. body
country?string
Match^[a-zA-Z]{2}$

Response Body

OK

application/json
  1. response
configured*boolean
ip?string
country?string
assignedAt?number
free*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X POST 'https://api.us.webagent.lookover.ai/v1/dedicated-ip' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "configured": true,  "ip": "string",  "country": "string",  "assignedAt": 0,  "free": 0}
DELETE
/v1/dedicated-ip

Authorization

headerAuthorizationBearer <token>

An API key (wa_<region>_…) or a dashboard access token.

Response Body

OK

application/json
  1. response
configured*boolean
ip?string
country?string
assignedAt?number
free*integer
Range0 <= value <= 9007199254740991
Example Request
curl -X DELETE 'https://api.us.webagent.lookover.ai/v1/dedicated-ip'
Example Response
{  "configured": true,  "ip": "string",  "country": "string",  "assignedAt": 0,  "free": 0}